<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Unit Conversion and Dimensional Analysis Library: Unit Manipulators</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Unit Conversion and Dimensional Analysis Library
   &#160;<span id="projectnumber">2.3.0</span>
   </div>
   <div id="projectbrief">A compile-time c++14 unit conversion library</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#typedef-members">Typedefs</a>  </div>
  <div class="headertitle">
<div class="title">Unit Manipulators</div>  </div>
</div><!--header-->
<div class="contents">

<p>Defines a series of classes used to manipulate unit types, such as <code>inverse&lt;&gt;</code>, <code>squared&lt;&gt;</code>, and metric prefixes. Unit manipulators can be chained together, e.g. <code>inverse&lt;squared&lt;pico&lt;time::seconds&gt;&gt;&gt;</code> to represent picoseconds^-2.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga18b87c9f4576fb72ddc0b2a516a42d41"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga18b87c9f4576fb72ddc0b2a516a42d41"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">units::inverse</a> = typename units::detail::inverse_impl&lt; U &gt;::type</td></tr>
<tr class="memdesc:ga18b87c9f4576fb72ddc0b2a516a42d41"><td class="mdescLeft">&#160;</td><td class="mdescRight">represents the inverse unit type of <code>class U</code>.  <a href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">More...</a><br /></td></tr>
<tr class="separator:ga18b87c9f4576fb72ddc0b2a516a42d41"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38048bc5246636a5eb0007262475dc38"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga38048bc5246636a5eb0007262475dc38"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga38048bc5246636a5eb0007262475dc38">units::squared</a> = typename units::detail::squared_impl&lt; U &gt;::type</td></tr>
<tr class="memdesc:ga38048bc5246636a5eb0007262475dc38"><td class="mdescLeft">&#160;</td><td class="mdescRight">represents the unit type of <code>class U</code> squared  <a href="group___unit_manipulators.html#ga38048bc5246636a5eb0007262475dc38">More...</a><br /></td></tr>
<tr class="separator:ga38048bc5246636a5eb0007262475dc38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4278ee8cb796f22534570134325a4d52"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga4278ee8cb796f22534570134325a4d52"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga4278ee8cb796f22534570134325a4d52">units::cubed</a> = typename units::detail::cubed_impl&lt; U &gt;::type</td></tr>
<tr class="memdesc:ga4278ee8cb796f22534570134325a4d52"><td class="mdescLeft">&#160;</td><td class="mdescRight">represents the type of <code>class U</code> cubed.  <a href="group___unit_manipulators.html#ga4278ee8cb796f22534570134325a4d52">More...</a><br /></td></tr>
<tr class="separator:ga4278ee8cb796f22534570134325a4d52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad6fb385c468a9f9956d23ebc7c38523a"><td class="memTemplParams" colspan="2">template&lt;class U , std::intmax_t Eps = 10000000000&gt; </td></tr>
<tr class="memitem:gad6fb385c468a9f9956d23ebc7c38523a"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#gad6fb385c468a9f9956d23ebc7c38523a">units::square_root</a> = typename units::detail::sqrt_impl&lt; U, Eps &gt;::type</td></tr>
<tr class="memdesc:gad6fb385c468a9f9956d23ebc7c38523a"><td class="mdescLeft">&#160;</td><td class="mdescRight">represents the square root of type <code>class U</code>.  <a href="group___unit_manipulators.html#gad6fb385c468a9f9956d23ebc7c38523a">More...</a><br /></td></tr>
<tr class="separator:gad6fb385c468a9f9956d23ebc7c38523a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaae513fa68478da5ffc6dd1b739da560f"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:gaae513fa68478da5ffc6dd1b739da560f"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#gaae513fa68478da5ffc6dd1b739da560f">units::atto</a> = typename units::detail::prefix&lt; std::atto, U &gt;::type</td></tr>
<tr class="memdesc:gaae513fa68478da5ffc6dd1b739da560f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'atto' prefix appended.  <a href="group___unit_manipulators.html#gaae513fa68478da5ffc6dd1b739da560f">More...</a><br /></td></tr>
<tr class="separator:gaae513fa68478da5ffc6dd1b739da560f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7b3ab2db5e74ea2fbcd7e370c3676e21"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga7b3ab2db5e74ea2fbcd7e370c3676e21"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga7b3ab2db5e74ea2fbcd7e370c3676e21">units::femto</a> = typename units::detail::prefix&lt; std::femto, U &gt;::type</td></tr>
<tr class="memdesc:ga7b3ab2db5e74ea2fbcd7e370c3676e21"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'femto' prefix appended.  <a href="group___unit_manipulators.html#ga7b3ab2db5e74ea2fbcd7e370c3676e21">More...</a><br /></td></tr>
<tr class="separator:ga7b3ab2db5e74ea2fbcd7e370c3676e21"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga85526b34ae64aa914711e963006c2ac7"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga85526b34ae64aa914711e963006c2ac7"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga85526b34ae64aa914711e963006c2ac7">units::pico</a> = typename units::detail::prefix&lt; std::pico, U &gt;::type</td></tr>
<tr class="memdesc:ga85526b34ae64aa914711e963006c2ac7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'pico' prefix appended.  <a href="group___unit_manipulators.html#ga85526b34ae64aa914711e963006c2ac7">More...</a><br /></td></tr>
<tr class="separator:ga85526b34ae64aa914711e963006c2ac7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae66a8996b06be0e044209702a4ff9aac"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:gae66a8996b06be0e044209702a4ff9aac"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#gae66a8996b06be0e044209702a4ff9aac">units::nano</a> = typename units::detail::prefix&lt; std::nano, U &gt;::type</td></tr>
<tr class="memdesc:gae66a8996b06be0e044209702a4ff9aac"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'nano' prefix appended.  <a href="group___unit_manipulators.html#gae66a8996b06be0e044209702a4ff9aac">More...</a><br /></td></tr>
<tr class="separator:gae66a8996b06be0e044209702a4ff9aac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga20d006a4509f9f686574a37632c6f5fb"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga20d006a4509f9f686574a37632c6f5fb"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga20d006a4509f9f686574a37632c6f5fb">units::micro</a> = typename units::detail::prefix&lt; std::micro, U &gt;::type</td></tr>
<tr class="memdesc:ga20d006a4509f9f686574a37632c6f5fb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'micro' prefix appended.  <a href="group___unit_manipulators.html#ga20d006a4509f9f686574a37632c6f5fb">More...</a><br /></td></tr>
<tr class="separator:ga20d006a4509f9f686574a37632c6f5fb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga13efc04f652ab7c2eafe42e0cf776843"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga13efc04f652ab7c2eafe42e0cf776843"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga13efc04f652ab7c2eafe42e0cf776843">units::milli</a> = typename units::detail::prefix&lt; std::milli, U &gt;::type</td></tr>
<tr class="memdesc:ga13efc04f652ab7c2eafe42e0cf776843"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'milli' prefix appended.  <a href="group___unit_manipulators.html#ga13efc04f652ab7c2eafe42e0cf776843">More...</a><br /></td></tr>
<tr class="separator:ga13efc04f652ab7c2eafe42e0cf776843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6350c0e152ef3ab427bb8465e151bcd"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:gae6350c0e152ef3ab427bb8465e151bcd"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#gae6350c0e152ef3ab427bb8465e151bcd">units::centi</a> = typename units::detail::prefix&lt; std::centi, U &gt;::type</td></tr>
<tr class="memdesc:gae6350c0e152ef3ab427bb8465e151bcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'centi' prefix appended.  <a href="group___unit_manipulators.html#gae6350c0e152ef3ab427bb8465e151bcd">More...</a><br /></td></tr>
<tr class="separator:gae6350c0e152ef3ab427bb8465e151bcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3af81695b9701ebe2db4f058f082a615"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga3af81695b9701ebe2db4f058f082a615"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga3af81695b9701ebe2db4f058f082a615">units::deci</a> = typename units::detail::prefix&lt; std::deci, U &gt;::type</td></tr>
<tr class="memdesc:ga3af81695b9701ebe2db4f058f082a615"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'deci' prefix appended.  <a href="group___unit_manipulators.html#ga3af81695b9701ebe2db4f058f082a615">More...</a><br /></td></tr>
<tr class="separator:ga3af81695b9701ebe2db4f058f082a615"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38a0917f3f85a5eac09b31f774931490"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga38a0917f3f85a5eac09b31f774931490"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga38a0917f3f85a5eac09b31f774931490">units::deca</a> = typename units::detail::prefix&lt; std::deca, U &gt;::type</td></tr>
<tr class="memdesc:ga38a0917f3f85a5eac09b31f774931490"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'deca' prefix appended.  <a href="group___unit_manipulators.html#ga38a0917f3f85a5eac09b31f774931490">More...</a><br /></td></tr>
<tr class="separator:ga38a0917f3f85a5eac09b31f774931490"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9983fa256ec50dd906ed1cabeb5de786"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga9983fa256ec50dd906ed1cabeb5de786"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga9983fa256ec50dd906ed1cabeb5de786">units::hecto</a> = typename units::detail::prefix&lt; std::hecto, U &gt;::type</td></tr>
<tr class="memdesc:ga9983fa256ec50dd906ed1cabeb5de786"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'hecto' prefix appended.  <a href="group___unit_manipulators.html#ga9983fa256ec50dd906ed1cabeb5de786">More...</a><br /></td></tr>
<tr class="separator:ga9983fa256ec50dd906ed1cabeb5de786"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf1b5108a86458a17f2a28245e52018ca"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:gaf1b5108a86458a17f2a28245e52018ca"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#gaf1b5108a86458a17f2a28245e52018ca">units::kilo</a> = typename units::detail::prefix&lt; std::kilo, U &gt;::type</td></tr>
<tr class="memdesc:gaf1b5108a86458a17f2a28245e52018ca"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'kilo' prefix appended.  <a href="group___unit_manipulators.html#gaf1b5108a86458a17f2a28245e52018ca">More...</a><br /></td></tr>
<tr class="separator:gaf1b5108a86458a17f2a28245e52018ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee8f573df6e966667e59aef6be3d1ac3"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:gaee8f573df6e966667e59aef6be3d1ac3"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#gaee8f573df6e966667e59aef6be3d1ac3">units::mega</a> = typename units::detail::prefix&lt; std::mega, U &gt;::type</td></tr>
<tr class="memdesc:gaee8f573df6e966667e59aef6be3d1ac3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'mega' prefix appended.  <a href="group___unit_manipulators.html#gaee8f573df6e966667e59aef6be3d1ac3">More...</a><br /></td></tr>
<tr class="separator:gaee8f573df6e966667e59aef6be3d1ac3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga33f0f9ced3598a431c4e2c91ded7ad24"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga33f0f9ced3598a431c4e2c91ded7ad24"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga33f0f9ced3598a431c4e2c91ded7ad24">units::giga</a> = typename units::detail::prefix&lt; std::giga, U &gt;::type</td></tr>
<tr class="memdesc:ga33f0f9ced3598a431c4e2c91ded7ad24"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'giga' prefix appended.  <a href="group___unit_manipulators.html#ga33f0f9ced3598a431c4e2c91ded7ad24">More...</a><br /></td></tr>
<tr class="separator:ga33f0f9ced3598a431c4e2c91ded7ad24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga86f4dc14b9068dd50b2f3a51219139f1"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga86f4dc14b9068dd50b2f3a51219139f1"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga86f4dc14b9068dd50b2f3a51219139f1">units::tera</a> = typename units::detail::prefix&lt; std::tera, U &gt;::type</td></tr>
<tr class="memdesc:ga86f4dc14b9068dd50b2f3a51219139f1"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'tera' prefix appended.  <a href="group___unit_manipulators.html#ga86f4dc14b9068dd50b2f3a51219139f1">More...</a><br /></td></tr>
<tr class="separator:ga86f4dc14b9068dd50b2f3a51219139f1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0161cd30954b20e7c7bc5043d428acf2"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga0161cd30954b20e7c7bc5043d428acf2"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga0161cd30954b20e7c7bc5043d428acf2">units::peta</a> = typename units::detail::prefix&lt; std::peta, U &gt;::type</td></tr>
<tr class="memdesc:ga0161cd30954b20e7c7bc5043d428acf2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'peta' prefix appended.  <a href="group___unit_manipulators.html#ga0161cd30954b20e7c7bc5043d428acf2">More...</a><br /></td></tr>
<tr class="separator:ga0161cd30954b20e7c7bc5043d428acf2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gace72ca1410a8c171eafe012f152e8926"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:gace72ca1410a8c171eafe012f152e8926"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#gace72ca1410a8c171eafe012f152e8926">units::exa</a> = typename units::detail::prefix&lt; std::exa, U &gt;::type</td></tr>
<tr class="memdesc:gace72ca1410a8c171eafe012f152e8926"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the metric 'exa' prefix appended.  <a href="group___unit_manipulators.html#gace72ca1410a8c171eafe012f152e8926">More...</a><br /></td></tr>
<tr class="separator:gace72ca1410a8c171eafe012f152e8926"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae128b8e57133ff8044ca21d494d73674"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:gae128b8e57133ff8044ca21d494d73674"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#gae128b8e57133ff8044ca21d494d73674">units::kibi</a> = typename units::detail::prefix&lt; std::ratio&lt; 1024 &gt;, U &gt;::type</td></tr>
<tr class="memdesc:gae128b8e57133ff8044ca21d494d73674"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the binary 'kibi' prefix appended.  <a href="group___unit_manipulators.html#gae128b8e57133ff8044ca21d494d73674">More...</a><br /></td></tr>
<tr class="separator:gae128b8e57133ff8044ca21d494d73674"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22f29de33ca6585d729b0777bb3cc819"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga22f29de33ca6585d729b0777bb3cc819"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga22f29de33ca6585d729b0777bb3cc819">units::mebi</a> = typename units::detail::prefix&lt; std::ratio&lt; 1048576 &gt;, U &gt;::type</td></tr>
<tr class="memdesc:ga22f29de33ca6585d729b0777bb3cc819"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the binary 'mibi' prefix appended.  <a href="group___unit_manipulators.html#ga22f29de33ca6585d729b0777bb3cc819">More...</a><br /></td></tr>
<tr class="separator:ga22f29de33ca6585d729b0777bb3cc819"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8a1cc7e7e0474505ef8f63197300f7a"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:gac8a1cc7e7e0474505ef8f63197300f7a"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#gac8a1cc7e7e0474505ef8f63197300f7a">units::gibi</a> = typename units::detail::prefix&lt; std::ratio&lt; 1073741824 &gt;, U &gt;::type</td></tr>
<tr class="memdesc:gac8a1cc7e7e0474505ef8f63197300f7a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the binary 'gibi' prefix appended.  <a href="group___unit_manipulators.html#gac8a1cc7e7e0474505ef8f63197300f7a">More...</a><br /></td></tr>
<tr class="separator:gac8a1cc7e7e0474505ef8f63197300f7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0b889fb67e25ae0657813221eb9cc67b"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga0b889fb67e25ae0657813221eb9cc67b"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga0b889fb67e25ae0657813221eb9cc67b">units::tebi</a> = typename units::detail::prefix&lt; std::ratio&lt; 1099511627776 &gt;, U &gt;::type</td></tr>
<tr class="memdesc:ga0b889fb67e25ae0657813221eb9cc67b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the binary 'tebi' prefix appended.  <a href="group___unit_manipulators.html#ga0b889fb67e25ae0657813221eb9cc67b">More...</a><br /></td></tr>
<tr class="separator:ga0b889fb67e25ae0657813221eb9cc67b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadcd5da9e80f5098e8ae9fb67196c2abb"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:gadcd5da9e80f5098e8ae9fb67196c2abb"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#gadcd5da9e80f5098e8ae9fb67196c2abb">units::pebi</a> = typename units::detail::prefix&lt; std::ratio&lt; 1125899906842624 &gt;, U &gt;::type</td></tr>
<tr class="memdesc:gadcd5da9e80f5098e8ae9fb67196c2abb"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the binary 'pebi' prefix appended.  <a href="group___unit_manipulators.html#gadcd5da9e80f5098e8ae9fb67196c2abb">More...</a><br /></td></tr>
<tr class="separator:gadcd5da9e80f5098e8ae9fb67196c2abb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b89e0d3d6d3b496db4c067b8cf38707"><td class="memTemplParams" colspan="2">template&lt;class U &gt; </td></tr>
<tr class="memitem:ga2b89e0d3d6d3b496db4c067b8cf38707"><td class="memTemplItemLeft" align="right" valign="top">using&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="group___unit_manipulators.html#ga2b89e0d3d6d3b496db4c067b8cf38707">units::exbi</a> = typename units::detail::prefix&lt; std::ratio&lt; 1152921504606846976 &gt;, U &gt;::type</td></tr>
<tr class="memdesc:ga2b89e0d3d6d3b496db4c067b8cf38707"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the type of <code>class U</code> with the binary 'exbi' prefix appended.  <a href="group___unit_manipulators.html#ga2b89e0d3d6d3b496db4c067b8cf38707">More...</a><br /></td></tr>
<tr class="separator:ga2b89e0d3d6d3b496db4c067b8cf38707"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>Defines a series of classes used to manipulate unit types, such as <code>inverse&lt;&gt;</code>, <code>squared&lt;&gt;</code>, and metric prefixes. Unit manipulators can be chained together, e.g. <code>inverse&lt;squared&lt;pico&lt;time::seconds&gt;&gt;&gt;</code> to represent picoseconds^-2. </p>
<h2 class="groupheader">Typedef Documentation</h2>
<a id="gaae513fa68478da5ffc6dd1b739da560f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaae513fa68478da5ffc6dd1b739da560f">&#9670;&nbsp;</a></span>atto</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#gaae513fa68478da5ffc6dd1b739da560f">units::atto</a> = typedef typename units::detail::prefix&lt;std::atto, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'atto' prefix appended. </p>
<p>E.g. atto&lt;meters&gt; represents meters*10^-18 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="gae6350c0e152ef3ab427bb8465e151bcd"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae6350c0e152ef3ab427bb8465e151bcd">&#9670;&nbsp;</a></span>centi</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#gae6350c0e152ef3ab427bb8465e151bcd">units::centi</a> = typedef typename units::detail::prefix&lt;std::centi,U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'centi' prefix appended. </p>
<p>E.g. centi&lt;meters&gt; represents meters*10^-2 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga4278ee8cb796f22534570134325a4d52"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4278ee8cb796f22534570134325a4d52">&#9670;&nbsp;</a></span>cubed</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga4278ee8cb796f22534570134325a4d52">units::cubed</a> = typedef typename units::detail::cubed_impl&lt;U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>represents the type of <code>class U</code> cubed. </p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td><code>unit</code> type to cube.</td></tr>
  </table>
  </dd>
</dl>
<p>E.g. <code>cubed&lt;meters&gt;</code> will represent meters^3. </p>

</div>
</div>
<a id="ga38a0917f3f85a5eac09b31f774931490"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga38a0917f3f85a5eac09b31f774931490">&#9670;&nbsp;</a></span>deca</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga38a0917f3f85a5eac09b31f774931490">units::deca</a> = typedef typename units::detail::prefix&lt;std::deca, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'deca' prefix appended. </p>
<p>E.g. deca&lt;meters&gt; represents meters*10^1 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga3af81695b9701ebe2db4f058f082a615"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga3af81695b9701ebe2db4f058f082a615">&#9670;&nbsp;</a></span>deci</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga3af81695b9701ebe2db4f058f082a615">units::deci</a> = typedef typename units::detail::prefix&lt;std::deci, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'deci' prefix appended. </p>
<p>E.g. deci&lt;meters&gt; represents meters*10^-1 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="gace72ca1410a8c171eafe012f152e8926"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gace72ca1410a8c171eafe012f152e8926">&#9670;&nbsp;</a></span>exa</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#gace72ca1410a8c171eafe012f152e8926">units::exa</a> = typedef typename units::detail::prefix&lt;std::exa, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'exa' prefix appended. </p>
<p>E.g. exa&lt;meters&gt; represents meters*10^18 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga2b89e0d3d6d3b496db4c067b8cf38707"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2b89e0d3d6d3b496db4c067b8cf38707">&#9670;&nbsp;</a></span>exbi</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga2b89e0d3d6d3b496db4c067b8cf38707">units::exbi</a> = typedef typename units::detail::prefix&lt;std::ratio&lt;1152921504606846976&gt;, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the binary 'exbi' prefix appended. </p>
<p>E.g. exbi&lt;bytes&gt; represents bytes*2^60 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga7b3ab2db5e74ea2fbcd7e370c3676e21"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga7b3ab2db5e74ea2fbcd7e370c3676e21">&#9670;&nbsp;</a></span>femto</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga7b3ab2db5e74ea2fbcd7e370c3676e21">units::femto</a> = typedef typename units::detail::prefix&lt;std::femto,U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'femto' prefix appended. </p>
<p>E.g. femto&lt;meters&gt; represents meters*10^-15 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="gac8a1cc7e7e0474505ef8f63197300f7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gac8a1cc7e7e0474505ef8f63197300f7a">&#9670;&nbsp;</a></span>gibi</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#gac8a1cc7e7e0474505ef8f63197300f7a">units::gibi</a> = typedef typename units::detail::prefix&lt;std::ratio&lt;1073741824&gt;, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the binary 'gibi' prefix appended. </p>
<p>E.g. gibi&lt;bytes&gt; represents bytes*2^30 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga33f0f9ced3598a431c4e2c91ded7ad24"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga33f0f9ced3598a431c4e2c91ded7ad24">&#9670;&nbsp;</a></span>giga</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga33f0f9ced3598a431c4e2c91ded7ad24">units::giga</a> = typedef typename units::detail::prefix&lt;std::giga, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'giga' prefix appended. </p>
<p>E.g. giga&lt;meters&gt; represents meters*10^9 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga9983fa256ec50dd906ed1cabeb5de786"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga9983fa256ec50dd906ed1cabeb5de786">&#9670;&nbsp;</a></span>hecto</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga9983fa256ec50dd906ed1cabeb5de786">units::hecto</a> = typedef typename units::detail::prefix&lt;std::hecto,U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'hecto' prefix appended. </p>
<p>E.g. hecto&lt;meters&gt; represents meters*10^2 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga18b87c9f4576fb72ddc0b2a516a42d41"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga18b87c9f4576fb72ddc0b2a516a42d41">&#9670;&nbsp;</a></span>inverse</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga18b87c9f4576fb72ddc0b2a516a42d41">units::inverse</a> = typedef typename units::detail::inverse_impl&lt;U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>represents the inverse unit type of <code>class U</code>. </p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td><code>unit</code> type to invert.</td></tr>
  </table>
  </dd>
</dl>
<p>E.g. <code>inverse&lt;meters&gt;</code> will represent meters^-1 (i.e. 1/meters). </p>

</div>
</div>
<a id="gae128b8e57133ff8044ca21d494d73674"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae128b8e57133ff8044ca21d494d73674">&#9670;&nbsp;</a></span>kibi</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#gae128b8e57133ff8044ca21d494d73674">units::kibi</a> = typedef typename units::detail::prefix&lt;std::ratio&lt;1024&gt;, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the binary 'kibi' prefix appended. </p>
<p>E.g. kibi&lt;bytes&gt; represents bytes*2^10 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="gaf1b5108a86458a17f2a28245e52018ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaf1b5108a86458a17f2a28245e52018ca">&#9670;&nbsp;</a></span>kilo</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#gaf1b5108a86458a17f2a28245e52018ca">units::kilo</a> = typedef typename units::detail::prefix&lt;std::kilo, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'kilo' prefix appended. </p>
<p>E.g. kilo&lt;meters&gt; represents meters*10^3 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga22f29de33ca6585d729b0777bb3cc819"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga22f29de33ca6585d729b0777bb3cc819">&#9670;&nbsp;</a></span>mebi</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga22f29de33ca6585d729b0777bb3cc819">units::mebi</a> = typedef typename units::detail::prefix&lt;std::ratio&lt;1048576&gt;, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the binary 'mibi' prefix appended. </p>
<p>E.g. mebi&lt;bytes&gt; represents bytes*2^20 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="gaee8f573df6e966667e59aef6be3d1ac3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaee8f573df6e966667e59aef6be3d1ac3">&#9670;&nbsp;</a></span>mega</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#gaee8f573df6e966667e59aef6be3d1ac3">units::mega</a> = typedef typename units::detail::prefix&lt;std::mega, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'mega' prefix appended. </p>
<p>E.g. mega&lt;meters&gt; represents meters*10^6 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga20d006a4509f9f686574a37632c6f5fb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga20d006a4509f9f686574a37632c6f5fb">&#9670;&nbsp;</a></span>micro</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga20d006a4509f9f686574a37632c6f5fb">units::micro</a> = typedef typename units::detail::prefix&lt;std::micro,U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'micro' prefix appended. </p>
<p>E.g. micro&lt;meters&gt; represents meters*10^-6 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga13efc04f652ab7c2eafe42e0cf776843"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga13efc04f652ab7c2eafe42e0cf776843">&#9670;&nbsp;</a></span>milli</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga13efc04f652ab7c2eafe42e0cf776843">units::milli</a> = typedef typename units::detail::prefix&lt;std::milli,U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'milli' prefix appended. </p>
<p>E.g. milli&lt;meters&gt; represents meters*10^-3 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="gae66a8996b06be0e044209702a4ff9aac"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gae66a8996b06be0e044209702a4ff9aac">&#9670;&nbsp;</a></span>nano</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#gae66a8996b06be0e044209702a4ff9aac">units::nano</a> = typedef typename units::detail::prefix&lt;std::nano, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'nano' prefix appended. </p>
<p>E.g. nano&lt;meters&gt; represents meters*10^-9 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="gadcd5da9e80f5098e8ae9fb67196c2abb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gadcd5da9e80f5098e8ae9fb67196c2abb">&#9670;&nbsp;</a></span>pebi</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#gadcd5da9e80f5098e8ae9fb67196c2abb">units::pebi</a> = typedef typename units::detail::prefix&lt;std::ratio&lt;1125899906842624&gt;, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the binary 'pebi' prefix appended. </p>
<p>E.g. pebi&lt;bytes&gt; represents bytes*2^50 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga0161cd30954b20e7c7bc5043d428acf2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0161cd30954b20e7c7bc5043d428acf2">&#9670;&nbsp;</a></span>peta</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga0161cd30954b20e7c7bc5043d428acf2">units::peta</a> = typedef typename units::detail::prefix&lt;std::peta, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'peta' prefix appended. </p>
<p>E.g. peta&lt;meters&gt; represents meters*10^15 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga85526b34ae64aa914711e963006c2ac7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga85526b34ae64aa914711e963006c2ac7">&#9670;&nbsp;</a></span>pico</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga85526b34ae64aa914711e963006c2ac7">units::pico</a> = typedef typename units::detail::prefix&lt;std::pico, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'pico' prefix appended. </p>
<p>E.g. pico&lt;meters&gt; represents meters*10^-12 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="gad6fb385c468a9f9956d23ebc7c38523a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad6fb385c468a9f9956d23ebc7c38523a">&#9670;&nbsp;</a></span>square_root</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U , std::intmax_t Eps = 10000000000&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#gad6fb385c468a9f9956d23ebc7c38523a">units::square_root</a> = typedef typename units::detail::sqrt_impl&lt;U, Eps&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>represents the square root of type <code>class U</code>. </p>
<p>Calculates a rational approximation of the square root of the unit. The error in the calculation is bounded by 1/epsilon (Eps). E.g. for the default value of 10000000000, the maximum error will be a/10000000000, or 1e-8, or said another way, the error will be on the order of 10^-9. Since these calculations are done at compile time, it is advisable to set epsilon to the highest value that does not cause an integer overflow in the calculation. If you can't compile <code>ratio_sqrt</code> due to overflow errors, reducing the value of epsilon sufficiently will correct the problem.<br  />
<br  />
 <code>ratio_sqrt</code> is guaranteed to converge for all values of <code>Ratio</code> which do not overflow. </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td><code>unit</code> type to take the square root of. </td></tr>
    <tr><td class="paramname">Eps</td><td>Value of epsilon, which represents the inverse of the maximum allowable error. This value should be chosen to be as high as possible before integer overflow errors occur in the compiler. </td></tr>
  </table>
  </dd>
</dl>
<dl class="section note"><dt>Note</dt><dd>USE WITH CAUTION. The is an approximate value. In general, squared&lt;sqrt&lt;meter&gt;&gt; != meter, i.e. the operation is not reversible, and it will result in propogated approximations. Use only when absolutely necessary. </dd></dl>

</div>
</div>
<a id="ga38048bc5246636a5eb0007262475dc38"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga38048bc5246636a5eb0007262475dc38">&#9670;&nbsp;</a></span>squared</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga38048bc5246636a5eb0007262475dc38">units::squared</a> = typedef typename units::detail::squared_impl&lt;U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>represents the unit type of <code>class U</code> squared </p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td><code>unit</code> type to square.</td></tr>
  </table>
  </dd>
</dl>
<p>E.g. <code>square&lt;meters&gt;</code> will represent meters^2. </p>

</div>
</div>
<a id="ga0b889fb67e25ae0657813221eb9cc67b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga0b889fb67e25ae0657813221eb9cc67b">&#9670;&nbsp;</a></span>tebi</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga0b889fb67e25ae0657813221eb9cc67b">units::tebi</a> = typedef typename units::detail::prefix&lt;std::ratio&lt;1099511627776&gt;, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the binary 'tebi' prefix appended. </p>
<p>E.g. tebi&lt;bytes&gt; represents bytes*2^40 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="ga86f4dc14b9068dd50b2f3a51219139f1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga86f4dc14b9068dd50b2f3a51219139f1">&#9670;&nbsp;</a></span>tera</h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class U &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">using <a class="el" href="group___unit_manipulators.html#ga86f4dc14b9068dd50b2f3a51219139f1">units::tera</a> = typedef typename units::detail::prefix&lt;std::tera, U&gt;::type</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Represents the type of <code>class U</code> with the metric 'tera' prefix appended. </p>
<p>E.g. tera&lt;meters&gt; represents meters*10^12 </p><dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">U</td><td>unit type to apply the prefix to. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Oct 3 2020 11:16:53 for Unit Conversion and Dimensional Analysis Library by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
